public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ptyprocess/
Date: Sun, 11 Oct 2015 11:25:11 +0000 (UTC)	[thread overview]
Message-ID: <1444562669.ed8a5d922bed4df6ef52ae353832c97bcbed1432.jlec@gentoo> (raw)

commit:     ed8a5d922bed4df6ef52ae353832c97bcbed1432
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 10:33:24 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 11:24:29 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed8a5d92

dev-python/ptyprocess: Add python3.5 support

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/ptyprocess/ptyprocess-0.5-r1.ebuild | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/dev-python/ptyprocess/ptyprocess-0.5-r1.ebuild b/dev-python/ptyprocess/ptyprocess-0.5-r1.ebuild
new file mode 100644
index 0000000..1c1b3c9
--- /dev/null
+++ b/dev-python/ptyprocess/ptyprocess-0.5-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Run a subprocess in a pseudo terminal"
+HOMEPAGE="https://github.com/pexpect/ptyprocess"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+DEPEND="test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+	py.test --verbose --verbose || die
+}


             reply	other threads:[~2015-10-11 11:25 UTC|newest]

Thread overview: 45+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-11 11:25 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-09 16:48 [gentoo-commits] repo/gentoo:master commit in: dev-python/ptyprocess/ Michał Górny
2023-05-23 15:54 Michał Górny
2022-05-09 20:38 Michał Górny
2022-03-15 14:05 Michał Górny
2022-03-15 11:27 Jakov Smolić
2022-01-29 20:43 Michał Górny
2021-05-05 17:05 Michał Górny
2021-03-02  8:48 Michał Górny
2021-03-02  4:37 Sam James
2021-03-02  1:01 Michał Górny
2020-12-28 20:06 Michał Górny
2020-09-20 14:30 Michał Górny
2020-05-25 16:16 Michał Górny
2020-05-11 17:33 Michał Górny
2020-05-08 20:58 Mart Raudsepp
2020-05-08  9:36 Sergei Trofimovich
2020-05-04 16:51 Agostino Sarubbo
2020-05-04 15:30 Agostino Sarubbo
2020-05-03 19:02 Agostino Sarubbo
2020-05-03 13:00 Agostino Sarubbo
2020-05-03 12:58 Agostino Sarubbo
2020-03-04 20:51 Sebastian Pipping
2019-12-16 10:14 Michał Górny
2019-12-03  3:02 Aaron Bauman
2019-11-16 11:02 Michał Górny
2019-11-16 11:02 Michał Górny
2019-04-28 10:54 Michał Górny
2018-03-22 16:46 Mikle Kolyada
2017-10-28 20:08 Sergei Trofimovich
2017-10-15 21:43 Thomas Deutschmann
2017-10-05  9:04 Sergei Trofimovich
2017-09-24 16:49 Sergei Trofimovich
2017-09-22 19:40 Sergei Trofimovich
2017-09-15  4:42 Markus Meier
2017-09-01 22:20 Sergei Trofimovich
2017-09-01 10:35 Tim Harder
2017-02-12 22:20 Zac Medico
2016-02-19 12:46 Patrick Lauer
2015-10-14 13:40 Justin Lecher
2015-10-12  5:21 Jeroen Roovers
2015-10-11  7:05 Justin Lecher
2015-10-10  8:54 Markus Meier
2015-08-25  7:31 Agostino Sarubbo
2015-08-25  7:30 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444562669.ed8a5d922bed4df6ef52ae353832c97bcbed1432.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox